import React from 'react';
import 'codemirror/mode/spreadsheet/spreadsheet.js';
import type { IColumn, IDataSource } from './config';
import type { OnChangeCallback } from './types';
import './styles';
export interface FormulaEditorProps {
    value?: string;
    onChange?: ((params: OnChangeCallback) => void);
    className?: string;
    style?: React.CSSProperties;
    field: IColumn;
    dataSource?: IDataSource;
}
declare const _default: React.NamedExoticComponent<FormulaEditorProps>;
export default _default;
